arch更新遇到的问题


:confuse: signature from "Thorsten Töpper atsutane@freethoughts.de" is unknown trust

解决:

$ sudo pacman-key --refresh-keys

arch错误:无法准备事务处理 (无法满足依赖关系) :: package-query: 要求 pacman<4.3

解决:

$ sudo pacman -R package-query yaourt

更新python2-pip出现问题

$ sudo pacman -Syu
错误:无法提交处理 (有冲突的文件)
python2-pip: 文件系统中已存在 /usr/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/socks.py 
python2-pip: 文件系统中已存在 /usr/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/socks.pyc 
发生错误,没有软件包被更新。

解决:

 $ sudo mv /usr/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/socks.py ~/
 $ sudo mv /usr/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/socks.py~ ~/
 $ sudo pacman -Syu     # 我也不清楚为什么会发生这个问题,只能这样解决了
 $ sudo cp ~/sock.py /usr/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/
 $ sudo cp ~/sock.py~ /usr/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/

There are comments.